import request from '@/utils/request'

// 主要监测点列表查询>>分页
export function mainLineList(data: any) {
    return request({
        url: '/harmonic-boot/mainLine/list',
        method: 'post',
        data: data
    })
}
// 主要监测点指标越限详情
export function statLimitRateDetails(data: any) {
    return request({
        url: '/harmonic-boot/mainLine/statLimitRateDetails',
        method: 'post',
        data: data
    })
}

// 查询监测点列表=全部>>不分页
export function cslineList(data: any) {
    return request({
        url: '/cs-device-boot/csline/list',
        method: 'post',
        data: data
    })
}

// 监测点详情 趋势图数据
export function trendData(data: any) {
    return request({
        url: '/cs-device-boot/csGroup/trendData',
        method: 'post',
        data: data
    })
}

// 每日越限占比统计
export function totalLimitStatisticsDetails(data: any) {
    return request({
        url: '/harmonic-boot/totalLimitStatistics/details',
        method: 'post',
        data: data
    })
}

// 总体指标越限统计列表
export function totalLimitStatisticsList(data: any) {
    return request({
        url: '/harmonic-boot/totalLimitStatistics/list',
        method: 'post',
        data: data
    })
}

// 总体指标越限统计数据
export function totalLimitStatisticsData(data: any) {
    return request({
        url: '/harmonic-boot/totalLimitStatistics/data',
        method: 'post',
        data: data
    })
}

// 指标越限程度数据
export function limitExtentData(data: any) {
    return request({
        url: '/harmonic-boot/limitRateDetailD/limitExtentData',
        method: 'post',
        data: data
    })
}
// 指标日趋势图数据
export function limitExtentDayData(data: any) {
    return request({
        url: '/harmonic-boot/limitRateDetailD/limitExtentDayData',
        method: 'post',
        data: data
    })
}

// 指标越限明细日历数据
export function limitCalendarData(data: any) {
    return request({
        url: '/harmonic-boot/limitRateDetailD/limitCalendarData',
        method: 'post',
        data: data
    })
}

//指标拟合图数据
export function fittingData(data: any) {
    return request({
        url: '/cs-device-boot/csGroup/fittingData',
        method: 'post',
        data: data
    })
}

//指标越限时间概率分布
export function limitTimeProbabilityData(data: any) {
    return request({
        url: '/harmonic-boot/limitRateDetailD/limitTimeProbabilityData',
        method: 'post',
        data: data
    })
}

//指标越限程度概率分布
export function limitProbabilityData(data: any) {
    return request({
        url: '/harmonic-boot/limitRateDetailD/limitProbabilityData',
        method: 'post',
        data: data
    })
}



